## org.apache.poi.ss.usermodel
Interface ConditionalFormattingRule

All Known Implementing Classes:
  HSSFConditionalFormattingRule, XSSFConditionalFormattingRule

    public interface ConditionalFormattingRule

Represents a description of a conditional formatting rule

Author:
  Dmitriy Kumshayev, Yegor Kozlov

Field Summary
`static byte` `CONDITION_TYPE_CELL_VALUE_IS` This conditional formatting rule compares a cell value to a formula calculated result, using an operator
`static byte` `CONDITION_TYPE_FORMULA` This conditional formatting rule contains a formula to evaluate.

Method Summary
`BorderFormatting` `createBorderFormatting()` Create a new border formatting structure if it does not exist, otherwise just return existing object.
`FontFormatting` `createFontFormatting()` Create a new font formatting structure if it does not exist, otherwise just return existing object.
`PatternFormatting` `createPatternFormatting()` Create a new pattern formatting structure if it does not exist, otherwise just return existing object.
`BorderFormatting` `getBorderFormatting()`
`byte` `getComparisonOperation()` The comparison function used when the type of conditional formatting is set to `CONDITION_TYPE_CELL_VALUE_IS`
`byte` `getConditionType()` Type of conditional formatting rule.
`FontFormatting` `getFontFormatting()`
`java.lang.String` `getFormula1()` The formula used to evaluate the first operand for the conditional formatting rule.
`java.lang.String` `getFormula2()` The formula used to evaluate the second operand of the comparison when comparison type is `CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`
`PatternFormatting` `getPatternFormatting()`

Field Detail

### CONDITION_TYPE_CELL_VALUE_IS

    static final byte CONDITION_TYPE_CELL_VALUE_IS

  This conditional formatting rule compares a cell value to a formula calculated result, using an operator

  See Also:
    Constant Field Values

### CONDITION_TYPE_FORMULA

    static final byte CONDITION_TYPE_FORMULA

  This conditional formatting rule contains a formula to evaluate. When the formula result is true, the cell is highlighted.

  See Also:
    Constant Field Values

Method Detail

### createBorderFormatting

    BorderFormatting createBorderFormatting()

  Create a new border formatting structure if it does not exist, otherwise just return existing object.

  Returns:
    - border formatting object, never returns `null`.

### getBorderFormatting

    BorderFormatting getBorderFormatting()

  Returns:
    - border formatting object if defined, `null` otherwise

### createFontFormatting

    FontFormatting createFontFormatting()

  Create a new font formatting structure if it does not exist, otherwise just return existing object.

  Returns:
    - font formatting object, never returns `null`.

### getFontFormatting

    FontFormatting getFontFormatting()

  Returns:
    - font formatting object if defined, `null` otherwise

### createPatternFormatting

    PatternFormatting createPatternFormatting()

  Create a new pattern formatting structure if it does not exist, otherwise just return existing object.

  Returns:
    - pattern formatting object, never returns `null`.

### getPatternFormatting

    PatternFormatting getPatternFormatting()

  Returns:
    - pattern formatting object if defined, `null` otherwise

### getConditionType

    byte getConditionType()

  Type of conditional formatting rule.

  MUST be either `CONDITION_TYPE_CELL_VALUE_IS` or `CONDITION_TYPE_FORMULA`

  Returns:
    the type of condition

### getComparisonOperation

    byte getComparisonOperation()

  The comparison function used when the type of conditional formatting is set to `CONDITION_TYPE_CELL_VALUE_IS`

  MUST be a constant from `ComparisonOperator`

  Returns:
    the conditional format operator

### getFormula1

    java.lang.String getFormula1()

  The formula used to evaluate the first operand for the conditional formatting rule.

  If the condition type is `CONDITION_TYPE_CELL_VALUE_IS`, this field is the first operand of the comparison. If type is `CONDITION_TYPE_FORMULA`, this formula is used to determine if the conditional formatting is applied.

  If comparison type is `CONDITION_TYPE_FORMULA` the formula MUST be a Boolean function

  Returns:
    the first formula

### getFormula2

    java.lang.String getFormula2()

  The formula used to evaluate the second operand of the comparison when comparison type is `CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`

  Returns:
    the second formula

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.